// The package.
package kirk.io.sdl;

/**
 * This class is an <code>Exception</code> that may be thrown during the reading of
 * an ESDL document. It indicates that the ESDL document is not correct.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.io.sdl.SDLReader
 */
public class ESDLReadException extends Exception {
	/**
	 * Creates a new <code>ESDLReadException</code> with the given error message.
	 * 
	 * @param message The error message.
	 */
	public ESDLReadException(String message) {
		// Superduper it.
		super(message);
	}
	
	/**
	 * Creates a new <code>ESDLReadException</code>.
	 */
	public ESDLReadException() {
		// Superduper it.
		super();
	}
}
