// The package.
package kirk.io.sdl;

/**
 * This class is an <code>Exception</code> that may be thrown during the writing of
 * an ESDL document.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.io.sdl.ESDLWriter
 */
public class ESDLWriteException extends Exception {
	/**
	 * Creates a new <code>ESDLWriteException</code> with the given error message.
	 * 
	 * @param message The error message.
	 */
	public ESDLWriteException(String message) {
		// Superduper it.
		super(message);
	}
	
	/**
	 * Creates a new <code>ESDLWriteException</code>.
	 */
	public ESDLWriteException() {
		// Superduper it.
		super();
	}	
}
