// The package.
package kirk.io.sdl;

/**
 * This class is an <code>Exception</code> that may be thrown during the reading of
 * an SDL document. It indicates that the SDL document is not correct.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.io.sdl.SDLReader
 */
public class SDLReadException extends Exception {
	/**
	 * Creates a new <code>SDLReadException</code> with the given error message.
	 * 
	 * @param message The error message.
	 */
	public SDLReadException(String message) {
		// Superduper it.
		super(message);
	}
	
	/**
	 * Creates a new <code>SDLReadException</code>.
	 */
	public SDLReadException() {
		// Superduper it.
		super();
	}	
}
