// The package.
package kirk.io.sdl;

/**
 * This class is an <code>Exception</code> that may be thrown during the writing of
 * an SDL document.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.io.sdl.SDLWriter
 */
public class SDLWriteException extends Exception {
	/**
	 * Creates a new <code>SDLWriteException</code> with the given error message.
	 * 
	 * @param message The error message.
	 */
	public SDLWriteException(String message) {
		// Superduper it.
		super(message);
	}
	
	/**
	 * Creates a new <code>SDLWriteException</code>.
	 */
	public SDLWriteException() {
		// Superduper it.
		super();
	}	
}
