// This class' package. Duh ;^)
package kirk.io;

/**
 * This <code>Exception</code> gets thrown if a write is attempted and it is not
 * allowed.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.io.FileLineList
 */
public class WriteNotAllowedException extends Exception {
	/**
	 * Construct the <code>Exception</code> with a standard message.
	 */
	public WriteNotAllowedException() {
		// Tell the super class the error message.
		super("Writing is not supported in read only mode.");
	}
}
