// The package.
package kirk.io.sdl;

/**
 * This class represents an exception that is thrown when there is more than one
 * match while searching for <code>SDLElement</code>s with a certain name.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.io.sdl.SDLNormalElement#getElement(String)
 * @see kirk.io.sdl.SDLNormalElement#getNormalElement(String)
 * @see kirk.io.sdl.SDLNormalElement#getDataElement(String)
 */
public class MultipleMatchException extends Exception {
	/**
	 * Constructs a new <code>MultipleMatchException</code> with the given error
	 * message.
	 * 
	 * @param message The error message.
	 */
	public MultipleMatchException(String message) {
		// Superduper it.
		super(message);
	}
	
	/**
	 * Constructs a new <code>MultipleMatchException</code> with no error message.
	 */
	public MultipleMatchException() {
		// Superduper it.
		super();
	}	
}